RecipesAPI Reference
Log In
API Reference

Upload Files

Upload a list of files to be indexed. Optionally upload them to an Airbyte
Destination S3 bucket if the feature flag is enabled.

Usage:
Use the following curl command to upload files:

curl           -F files=@app/files/arya_stark.txt           -F files=@app/files/eddard_stark.txt           -X POST <host>/file-upload

Returns:
dict: A dictionary containing the results of the upload operation.
Example:
{"results": {"documents_written": <num_documents_written>}}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
Defaults to en
Body Params
files
array of files
required

Multiple files as UploadFile

Files*
Headers
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json